

#pragma once

#include <iostream>
#include <cstring>
#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include "PublicFun.h"
#include "Menu.h"
class FightHero
{

public:
	
	void Init(int choice,int citynumber);
	int KeyDown(WPARAM KeyCode);
	void Show(int xx,int yy,int picno = 0);
	void ShowFightHero(int g,int h,int posx,int poy,int picno);
	void ShowCGHero(int delay,char *name,char *name1,int g,int h,int ux,int uy);
	void SetPosition(int g);
	
	void ShowDirct(int xx,int yy);
	void ShowFightHeroDirct(int g,int h,int posx,int poy);
	void ShowCGHeroDirct(int delay,char *name,char *name1,int g,int h,int ux,int uy);
	int CheckIfRiver();
	void SetSkillList();
	void WriteSkilltoFile();
	void GetMenuSkill();
	void ShowMenuSkill();
	void GetStartPosition();
	int GetMyPosition();
	int GetTile();
	int InitSpecialHeroList();
	int InitSkillSumOfHeroType();
	int InitPostion();
//private:
	int citynumber;
	int num;//编号，即姓名
	int degree;
	int style;//兵种
	int wuli;
	int zili;
	int bingli;
	int experience;
	int health;
	int tili;
	int skill;
	int at;//攻击
	int df;//防御
	int statue;//状态
	int positionx;//地图上绝对位置;
	int positiony;
	int belong;//是我方武将还是敌方 0-我方 1敌方
	int moveup;
	int active;//是否活动 1活动 0不活动
	int skillno[20];//技能编号
	int skillnum;//技能数量
	int specicalhero;//1庞统 2诸葛亮 3华佗 4徐庶 
	int isemporer;//是否君主
	Menu menuskill;

	int centerx;
	int centery;
	int cityx;
	int cityy;
	int citynumfrom;
	int way;//方向 8个
	int warstyle;
	int tile[MAPMAX][MAPMAX];
	int citymapnum[CITYMAX];
	int t_cityx[MAPSUM];
	int t_cityy[MAPSUM];
	int t_centerx[DIRCTIONMAX];
	int t_centery[DIRCTIONMAX];
	int uchoice;
	int t_specialhero[SPECIALHEROMAX][2];
	int t_skillsum[HEROTYPEMAX];
	int t_skilltype[HEROTYPEMAX][HEROSKILLMAX];
	int t_warfactx[DIRCTIONMAX][FIGHTHEROMAX];
	int t_warfacty[DIRCTIONMAX][FIGHTHEROMAX];
};

/*需传：
我方：
武将数目1
主将编号1
所攻打城市编号1
10个武将姓名等级兵种武力智力兵力6*10
粮草数量1

敌方：
武将数目
主将编号
10个武将姓名等级兵种武力智力兵力
粮草数量（城市粮草）

未详：
武将经验生命技力攻击防御


不需：
武将状态*/